
Redmine - Defect #11208

Passing arguments with spaces to allow-override in rdm-mailhandler.rb

2012-06-20 16:16 - carlos lopez

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 0.9.0

Description

Hello,

I would like to allow override some attributes from e-mails and I was looking at the help at 

http://www.redmine.org/projects/redmine/wiki/RedmineReceivingEmails

The thing is that it don't works when the argument has a space.

Author: Carlos Lopez

Status: New

Priority: Normal

Assigned to: 

Category: 

Target version: 

 I can override all options from an e-mail except the options that has an space. "Assigned to" and "Target version".

I tried this in /etc/aliases:

redmine: "|/opt/redmine/extra/mail_handler/rdm-mailhandler.rb -u http://redmine.url.com -k key -o 

Author,Status,Priority,Category,Assigned to,Target version" 

 As also tried this:

redmine: '|/opt/redmine/extra/mail_handler/rdm-mailhandler.rb -u http://redmine.url.com -k key -o 

Author,Status,Priority,Category,"Assigned to","Target version"'

 this:

redmine: '|/opt/redmine/extra/mail_handler/rdm-mailhandler.rb -u http://redmine.url.com -k key -o 

Author,Status,Priority,Category,\"Assigned to\",\"Target version\"" 

 and this:

redmine: '|/opt/redmine/extra/mail_handler/rdm-mailhandler.rb -u http://redmine.url.com -k key -o 

Author,Status,Priority,Category,'Assigned to','Target version'" 

 There is no way to pass the attributes with spaces.

History

#1 - 2012-06-20 21:00 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Attributes given to the -o arguments should be lower-cased with underscores. And please note that fixed_version must be used instead of

target_version. Eg:

-o author,status,priority,category,assigned_to,fixed_version
http://www.redmine.org/projects/redmine/wiki/RedmineReceivingEmails


 Human names are used in the email body to set the value. I've updated the wiki page.

#2 - 2012-06-25 19:07 - carlos lopez

- Status changed from Closed to Reopened

I have configured it like you suggest

-o author,status,priority,category,assigned_to,fixed_version

 And I send an email like this:

Tracker: Bug

Priority: Urgent

Status: Resolved

Category: Category1

Assigned To: User Name

Target Version: TargetVersion1

Author: User Name

 And it only changes the "Status" field. It ignores all the rest of fields.

I tried also to send only one field per email but don't works. Only the status field is accepted.

How can I debug what is wrong?

Thanks

#3 - 2012-06-26 20:34 - Jean-Philippe Lang

author is not supported. assigned_to and fixed_version are not supported in 0.9.0.

You can set your log level to debug and retry to receive the email to get more details.

#4 - 2016-03-10 14:05 - carlos lopez

This is working with the last release of redmine  (3.2)

I think we can close this.

#5 - 2016-04-09 01:42 - Toshi MARUYAMA

- Status changed from Reopened to Closed

Thank you for your feedback.
